function OnWarpEnter() 

	SetMarker("cs\\Warp_0214.wp" , 0 , 0)
--	SetMarker("Machine_Revolution", 4, 0)

	if HENRYCHART_ON_MACHINE_D3 and not PUZZLE_ASTROCHART_SOLVED and not OpenMachineW21 then
		SetMarker("Machine_Revolution", 4, 0)
	end

--	SetMarker("HENRY_CHARTN", 4, 0)

	ImportAnimationWarp("3D\\cs\\Warp_0021")
	-- bougies
	AnimationSetToStart("cian")
	-- manivelle du calculateur
	AnimationSetToStart("zoan",false)
	if ETAT_DAY == "D4" then
		SetMarker("zoan", -1, 0)
	else
		SetMarker("zoan", 4, 0)
	end
	-- mécanisme du mobile
	AnimationSetToStart("vyan",false)

	if PuzzlePlanetSolved then
		PutObject("zwa1",false)
	end

	if not OpenMachineW21 then
		AnimationSetToStart("zman",false)
	elseif OpenMachineW21 then
		AnimationSetToEnd("zman",false)
		if HENRYCHART_ON_MACHINE_D3 then
			AnimationSetToStart("zna1",false)
			if PUZZLE_ASTROCHART_SOLVED then
				SetMarker("zna1",2,0)
			end
		end
	end

--------------------------------------------------------------------------- balcon
	if balcony_open then
	-- sortie du balcon
		if not ETAT_DAY == "D4" then
			SetMarker("cs\\Warp_0222.wp" , 0 , 0) 
		else
			if not PuzzlePlanetSolved then
				SetMarker("cs\\Warp_0222.wp" , 0 , 0) 
			end
		end
	end

	AnimationSetToEnd("cxa1")
	AnimationSetToEnd("cya1")
---------------------------------------------------------------------------

--------------------------------------------------------------------------- Puzzle du thème astral
--		if PUZZLE_ASTROCHART_SOLVED then
--			AnimationSetToEnd("znan",true)
--			SetMarker("znan",2,0)
--		else
--			AnimationSetToStart("zaan",false)
--			AnimationSetToStart("zcan",false)
--			AnimationSetToStart("zean",false)
--			AnimationSetToStart("zgan",false)
--			AnimationSetToStart("zian",false)
--			AnimationSetToStart("zkan",false)
--
--		end
	if not PUZZLE_ASTROCHART_SOLVED then
		AnimationSetToStart("zaan",false)
		AnimationSetToStart("zcan",false)
		AnimationSetToStart("zean",false)
		AnimationSetToStart("zgan",false)
		AnimationSetToStart("zian",false)
		AnimationSetToStart("zkan",false)
	end
--------------------------------------------------------------------------- 

--------------------------------------------------------------------------- Puzzle des planètes

	if PuzzlePlanetSolved then
		StartAnimationPart("vzan",118,119,-1,true)
		StartAnimationPart("czan",0,30,-1,true)
		SetMarker("czan",4,0)
	end
	
	if PuzzlePlanetPut and not PuzzlePlanetSolved then
		StartAnimationPart("vzan",50,51,-1,true)
		SetMarker("vzan",4,0)
	end



	if not CoffreW221 then
		AnimationSetToStart("zyan", true)
		if AskMobile then
			SetMarker("zyan",4,0)
		end
	else
		AnimationSetToEnd("zyan", false)
		if AskMobile and not PuzzlePlanetPut then
			SetMarker("zyan",2,0)
		end
	end
end

function OnDialogFinished(dialogName)

	if dialogName == "Ma2354" then -- Mais il se fait tard, je tirerai cette histoire au clair demain.
		PlayMovie("Videos/reveBD.ogv", "Videos/J_Dort.ogg")
	end

	if dialogName == "Ma2747" or dialogName == "Ma2749" or dialogName == "Ma2769" then 
	StartAnimationPart("czan",60,90,-1,false)
	end

	if dialogName == "No2746" or dialogName == "No2748" or dialogName == "No2768" 
	or dialogName == "No2771" then 
	StartAnimationPart("czan",0,30,-1,false)
	end	

	if dialogName == "No2771" then 
		SetMarker("czan",4,0)
	end	

end

function OnMovieFinished(name)
end

function OnAnimationFinished(objectName)

	if objectName=="zoan" then
		AnimationSetToStart("zoan",true)
		SetMarker("zoan",4,0)
	end

	if objectName == "cxan" then
		balcony_open = true
		SetMarker("cs\\Warp_0222.wp" , 0 , 0) 
	end

	if objectName == "vzan" then
		StartAnimationPart("vzan",118,119,-1,true)
		LookAt(343,005)
		StartAnimationPart("czan",60,90,-1,true)
		DrawText("No2745","No2745.ogg",2) -- C'est magnifique Madeleine, tu ne trouves pas ?
		DrawText("No2746","No2746.ogg",2) -- Décidément tu ne me déçois pas jeune fille. Tu fais vraiment du beau travail. Va te reposer à présent. Tu l'as bien mérité et puis j'ai besoin d'être un peu seul.
		DrawText("Ma2747","Ma2747.ogg",0) -- Père, crois-tu que les morts nous parlent ? Je veux dire, penses-tu que ce sont eux qui te laissent entrevoir l'avenir ?
		DrawText("No2748","No2748.ogg",2) -- Non, il n'y a que Dieu qui connait l'avenir. Bien sûr une grande connaissance de l'univers permet parfois d'en comprendre les règles, les directions, comme je le fais, mais pas les morts. Ce ne sont que des superstitions !
		DrawText("Ma2749","Ma2749.ogg",0) -- Alors comment expliques-tu que j'ai trouvé des signes antiques dans une galerie sous le château, qui une fois traduits, correspondaient mot pour mot aux deux quatrains que tu as écris ?
		DrawText("No2768","No2768.ogg",2) -- Que dis-tu ?
		DrawText("Ma2769","Ma2769.ogg",0) -- Je dis qu'il y a ici une force qui nous dépasse, qui t'a inspiré les deux quatrains qui sont à l'origine de cette histoire. Je veux aussi parler de Philibert qui me parle dans mes rêves. Je ne comprends pas ce qu'on attend de moi et ça m'effraie !
		DrawText("No2770", "No2770.ogg", 2) -- Calme-toi Madeleine, j'ai la conviction qu'il ne t'arrivera rien. Continue à faire ce que tu crois être juste, la clef ne peut pas être ailleurs.
		DrawText("No2771","No2771.ogg",2) -- Allez, va dormir et prépare-toi une tisane à l'eucalyptus, ça éloignera les mauvais rêves. Quant à moi je vais chercher à comprendre quel est ce destin que tu dois accomplir.
	end

end



function OnWarpLeave()
end


function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0214.wp" then
		if PuzzlePlanetSolved then
			ChangeWarp("3D\\cs\\Warp_0219.wp")
		else
			ChangeWarp(objectName)
		end	
	end

	if objectName == "3D\\zoomMachine" then 
		ShowDocument("MachineRevolution")
	end	

	if objectName == "3D\\PierreW221" then 
		StoneTakenW221 = true
		SetMarker("PierreW221",-1,0)
		AddToBag("A_pierre_nostradamus")
		DrawText("Ma1965","Ma1965.ogg",0) -- Voilà donc la fameuse pierre !
		DrawText("Ma1966","Ma1966.ogg",0) -- Elle ressemble à s'y méprendre à celle que Philibert avait si soigneusement empaquetée.
		DrawText("Ma2354","Ma2354.ogg",0) -- Mais il se fait tard, je tirerai cette histoire au clair demain.
	end

	if ETAT_DAY == "D4" then
		-- coffre
		if objectName == "zyan" then
			if not CoffreW221 and AskMobile then
				CoffreW221 = true
				AnimationSetToEnd("zyan", true)
				SetMarker("zyan",2,0)
				PlaySound("Sounds/SFX/E_ArmoireOuverture.ogg",1)
			elseif CoffreW221 and not PuzzlePlanetPut then
				PuzzlePlanetPut = true
				SetMarker("zyan",-1,0)
				StartAnimationPart("vzan",50,51,-1,true)
				SetMarker("vzan",4,0)
				PlaySound("Sounds/SFX/N_ClefTiroir.ogg",1)
			end

		-- Animation complète de la résolution
		elseif objectName == "vzan" then
			if PuzzlePlanetPut and not PuzzlePlanetSolved then
				ShowPuzzle(9)
			end
		-- Nostradamus 
		elseif objectName == "czan" then
			SetMarker("czan",-1,0)
			StartAnimationPart("czan",60,90,-1,true)
			DrawText("No2771","No2771.ogg",2) -- Allez, va dormir et prépare-toi une tisane à l'eucalyptus, ça éloignera les mauvais rêves. Quant à moi je vais chercher à comprendre quel est ce destin que tu dois accomplir.
		end
	end
end

function OnAstralThemePuzzleAnswered()

	PuzzleThemeDone = true
	SetMarker("Machine_Revolution",-1,0)

end

function OnPuzzlePlanetsAnswered()

	StartAnimationPart("vzan",50,120,1,true)
	SetMarker("vzan",-1,0)
	PuzzlePlanetSolved = true
	PlaySound("Sounds/SFX/E_vz_mobile_Releve.ogg",1)
	SetMarker("cs\\Warp_0222.wp" , -1 , 0) 

end

-- PuzzleAstralTheme Id: 10 OnAstralThemePuzzleAnswered()
